Bug 562765 - cannot install system from ISO on read-only filesystem
cannot install system from ISO on read-only filesystem
Status: CLOSED DUPLICATE of bug 557976
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-08 05:43 EST by Martin Kudlej
Modified: 2010-03-16 11:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-16 11:56:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2010-02-08 05:43:27 EST
Description of problem:
I've tried to install system from ISO on read-only filesystem and I've got this error:

Unable to complete install '<class 'libvirt.libvirtError'> internal error unable to start guest: libvir: Security Labeling error : unable to set security context 'system_u:object_r:virt_content_t:s0' on '/mnt/...iso': Read-only file system
libvir: QEMU error : cannot set ownership on /mnt/...iso: Read-only file system

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 1435, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 660, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 758, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1077, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error unable to start guest: libvir: Security Labeling error : unable to set security context 'system_u:object_r:virt_content_t:s0' on '/mnt/...iso': Read-only file system
libvir: QEMU error : cannot set ownership on /mnt/...iso: Read-only file system

'

Version-Release number of selected component (if applicable):
libvirt-0.7.1-15.fc12.x86_64
virt-manager-0.8.2-1.fc12.noarch
qemu-0.11.0-12.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1. mount ISO image on nfs as read-only
2. try to install from that ISO
Comment 1 Paul Jenner 2010-02-13 15:19:18 EST
Duplicate of bug #557976 ?
Comment 2 Cole Robinson 2010-03-16 11:56:00 EDT

*** This bug has been marked as a duplicate of bug 557976 ***

Note You need to log in before you can comment on or make changes to this bug.